ApplicationProfile (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver.applicationprofile

## Class ApplicationProfile

- java.lang.Object
- - org.gcube.datatransfer.resolver.applicationprofile.ApplicationProfile

- All Implemented Interfaces:
    Serializable

      public class ApplicationProfile
      extends Object
      implements Serializable

  The Class ApplicationProfile.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 14, 2016
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationProfile()` Instantiates a new application profile.
    `ApplicationProfile(String key, String name, String description, String imageUrl, String scope, String url)` Instantiates a new application profile.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Gets the description.
    `String` | `getImageUrl()` Gets the image url.
    `String` | `getKey()` Gets the key.
    `String` | `getName()` Gets the name.
    `String` | `getScope()` Gets the scope.
    `String` | `getUrl()` Gets the url.
    `void` | `setDescription(String description)` Sets the description.
    `void` | `setImageUrl(String imageUrl)` Sets the image url.
    `void` | `setKey(String key)` Sets the key.
    `void` | `setName(String name)` Sets the name.
    `void` | `setScope(String scope)` Sets the scope.
    `void` | `setUrl(String url)` Sets the url.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationProfile

          public ApplicationProfile()

      Instantiates a new application profile.

    - #### ApplicationProfile

          public ApplicationProfile(String key,
                            String name,
                            String description,
                            String imageUrl,
                            String scope,
                            String url)

      Instantiates a new application profile.
      Parameters:
        `key` - the key
        `name` - the name
        `description` - the description
        `imageUrl` - the image url
        `scope` - the scope
        `url` - the url

  - ### Method Detail

    - #### getKey

          public String getKey()

      Gets the key.
      Returns:
        the key

    - #### setKey

          public void setKey(String key)

      Sets the key.
      Parameters:
        `key` - the new key

    - #### getName

          public String getName()

      Gets the name.
      Returns:
        the name

    - #### setName

          public void setName(String name)

      Sets the name.
      Parameters:
        `name` - the new name

    - #### getDescription

          public String getDescription()

      Gets the description.
      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      Sets the description.
      Parameters:
        `description` - the new description

    - #### getImageUrl

          public String getImageUrl()

      Gets the image url.
      Returns:
        the image url

    - #### setImageUrl

          public void setImageUrl(String imageUrl)

      Sets the image url.
      Parameters:
        `imageUrl` - the new image url

    - #### getScope

          public String getScope()

      Gets the scope.
      Returns:
        the scope

    - #### setScope

          public void setScope(String scope)

      Sets the scope.
      Parameters:
        `scope` - the new scope

    - #### getUrl

          public String getUrl()

      Gets the url.
      Returns:
        the url

    - #### setUrl

          public void setUrl(String url)

      Sets the url.
      Parameters:
        `url` - the new url

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.